package higa.dbawt;

import java.beans.SimpleBeanInfo;
import java.beans.PropertyDescriptor;

public class HListBeanInfo
  extends SimpleBeanInfo {

  private static final Class sourceClass =
    HList.class;

  public PropertyDescriptor[]
    getPropertyDescriptors() {

    try {
      PropertyDescriptor background =
        new PropertyDescriptor(
        "background", sourceClass);

      PropertyDescriptor columnName =
        new PropertyDescriptor(
        "columnName", sourceClass);

      PropertyDescriptor cursor =
        new PropertyDescriptor(
        "cursor", sourceClass);

      PropertyDescriptor dataSet =
        new PropertyDescriptor(
        "dataSet", sourceClass);

      PropertyDescriptor enabled =
        new PropertyDescriptor(
        "enabled", sourceClass);

      PropertyDescriptor font =
        new PropertyDescriptor(
        "font", sourceClass);

      PropertyDescriptor foreground =
        new PropertyDescriptor(
        "foreground", sourceClass);

      PropertyDescriptor locale =
        new PropertyDescriptor(
        "locale", sourceClass);

      PropertyDescriptor pickListColumnName =
        new PropertyDescriptor(
        "pickListColumnName", sourceClass);

      PropertyDescriptor
        pickListDisplayColumnName =
        new PropertyDescriptor(
        "pickListDisplayColumnName",
        sourceClass);

      PropertyDescriptor pickListTableName =
        new PropertyDescriptor(
        "pickListTableName", sourceClass);

      PropertyDescriptor visible =
        new PropertyDescriptor(
        "visible", sourceClass);

      PropertyDescriptor[] pds =
        {background, columnName, cursor,
        dataSet, enabled, font, foreground,
        locale, pickListColumnName,
        pickListDisplayColumnName,
        pickListTableName, visible};

      return pds;
    } catch(Exception ex) {
      ex.printStackTrace();
      return null;
    }
  }
}