package higa.dbswing;

import com.sun.java.swing.ComboBoxModel;

import java.io.Serializable;

import higa.sql.dataset.IDataSet;

public class HComboBoxModel extends HListModel
  implements ComboBoxModel, Serializable {

  private Object selectedItem;

  public HComboBoxModel() {
  }

  public HComboBoxModel(IDataSet dataSet,
    String columnName,
    String pickListTableName, String pickListColumnName,
    String pickListDisplayColumnName) {

    super(dataSet, columnName, pickListTableName,
      pickListColumnName, pickListDisplayColumnName);
  }

  public void setSelectedItem(Object newSelectedItem) {
    selectedItem = newSelectedItem;
    fireContentsChanged(this, -1, -1);
  }

  public Object getSelectedItem() {
    return selectedItem;
  }

  public int getSelectedIndex() {
    return getElementIndex(selectedItem);
  }
}