package higa.jhcl.model;

import java.awt.Rectangle;
import java.awt.Graphics;
import java.awt.Dimension;

public interface ItemPainter {
  public static final int DEFAULT = 0x0000;
  public static final int DISABLED = 0x0001;
  public static final int FOCUSED = 0x0002;
  public static final int SELECTED = 0x0004;
  public static final int ROLLOVER = 0x0008;
  public static final int ANCHOR = 0x0010;

  public Dimension getPreferredSize(
    Object data, Graphics g,
    int state, ItemPaintSite site);

  public void paint(Object data, Graphics g,
    Rectangle bounds, int state, ItemPaintSite site);
}