package higa.jhcl.view;

import higa.jhcl.model.MatrixModel;
import higa.jhcl.model.MatrixModelListener;
import higa.jhcl.model.MatrixLocation;
import higa.jhcl.model.MatrixSubfocusListener;
import higa.jhcl.model.MatrixSelection;
import higa.jhcl.model.MatrixSelectionListener;

public interface MatrixView {

  public void setModel(MatrixModel model);

  public MatrixModel getModel();

  public void addModelListener(
    MatrixModelListener listener);

  public void removeModelListener(
    MatrixModelListener listener);

  public boolean isReadOnly();

  public void setReadOnly(boolean readOnly);

  public void setSubfocus(MatrixLocation subfocus);

  public MatrixLocation getSubfocus();

  public void addSubfocusListener(
    MatrixSubfocusListener listener);

  public void removeSubfocusListener(
    MatrixSubfocusListener listener);

  public void setSelection(MatrixSelection selection);

  public MatrixSelection getSelection();

  public void addSelectionListener(
    MatrixSelectionListener listener);
    
  public void removeSelectionListener(
    MatrixSelectionListener listener);
}