package higa.util;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Resources {

  private ResourceBundle resources;

  public Resources(String baseName) {
    try {
      resources = ResourceBundle.getBundle(baseName);
    } catch (MissingResourceException ex) {
      ex.printStackTrace();
      resources = null;
    }
  }

  public String getString(String key) {
    if (resources == null) {
      return key;
    }

    try {
      return resources.getString(key);
    } catch (MissingResourceException ex) {
      return key;
    }
  }
}
